#/bin/sh

THISFILE=`basename $0`
CHAP=`echo $THISFILE | sed s/\.sh//`

APPNAME=perl
VER=5.18.2
TARGET=$APPNAME-$VER
TARGETBALL=$TARGET.tar.bz2
TARGETDIR=$TARGET

echo $CHAP: $TARGET

. ./_lfsset.sh

cd $SRC

echo $TARGET

echo \ \ Removing old directory...
rm -fr $TARGETDIR

. $WRK/_extract.sh

TimeStart

cd $TARGETDIR

echo \ \ Patching...
patch -Np1 -i $DLD/perl-$VER-libc-1.patch \
	1> $LOG/$CHAP.$TARGET.0_patch.log 2>&1 || exit 1

echo \ \ Configuring...
sh Configure -des -Dprefix=/tools \
	1> $LOG/$CHAP.$TARGET.1_conf.log 2>&1 || exit 1

echo \ \ Making...
make \
	1> $LOG/$CHAP.$TARGET.2_make.log 2>&1 || exit 1

echo \ \ Copying...
cp -v perl cpan/podlators/pod2man /tools/bin \
	1> $LOG/$CHAP.$TARGET.3_copy.log 2>&1

echo \ \ Copying...
mkdir -pv /tools/lib/perl5/$VER \
	1> $LOG/$CHAP.$TARGET.4_copy.log 2>&1
cp -Rv lib/* /tools/lib/perl5/$VER \
	1>> $LOG/$CHAP.$TARGET.4_copy.log 2>&1

TimeEnd chap5

echo \ \ Removing directory...
cd .. && rm -fr $TARGETDIR

echo \ \ Done.

